USN-3144-1: Linux kernel vulnerability

30 November 2016

The system could be made to crash under certain conditions.

Releases

Packages

Details

Marco Grassi discovered that the driver for Areca RAID Controllers in the
Linux kernel did not properly validate control messages. A local attacker
could use this to cause a denial of service (system crash) or possibly gain
privileges.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 12.04

After a standard system update you need to reboot your computer to make
all the necessary changes.

ATTENTION: Due to an unavoidable ABI change the kernel updates have
been given a new version number, which requires you to recompile and
reinstall all third party kernel modules you might have installed.
Unless you manually uninstalled the standard kernel metapackages
(e.g. linux-generic, linux-generic-lts-RELEASE, linux-virtual,
linux-powerpc), a standard system upgrade will automatically perform
this as well.

References

Related notices

  • USN-3147-1: linux-image-generic-lpae, linux, linux-image-4.8.0-28-powerpc-e500mc, linux-image-4.8.0-28-powerpc64-emb, linux-image-4.8.0-28-lowlatency, linux-image-4.8.0-28-generic-lpae, linux-image-lowlatency, linux-image-powerpc64-emb, linux-image-4.8.0-28-generic, linux-image-4.8.0-28-powerpc-smp, linux-image-generic, linux-image-powerpc-e500mc, linux-image-powerpc-smp
  • USN-3161-4: linux-image-4.4.0-1042-snapdragon, linux-snapdragon
  • USN-3144-2: linux-image-3.2.0-1494-omap4, linux-image-omap4, linux-ti-omap4
  • USN-3146-1: linux, linux-image-4.4.0-51-powerpc-e500mc, linux-image-4.4.0-51-powerpc-smp, linux-image-extra-4.4.0-51-generic, linux-image-4.4.0-51-powerpc64-emb, linux-image-4.4.0-51-powerpc64-smp, linux-image-4.4.0-51-generic, linux-image-4.4.0-51-generic-lpae, linux-image-4.4.0-51-lowlatency
  • USN-3161-3: linux-raspi2, linux-image-4.4.0-1038-raspi2
  • USN-3145-1: linux-image-3.13.0-103-powerpc-e500mc, linux, linux-image-3.13.0-103-powerpc64-smp, linux-image-3.13.0-103-powerpc-e500, linux-image-3.13.0-103-powerpc64-emb, linux-image-3.13.0-103-generic, linux-image-3.13.0-103-powerpc-smp, linux-image-3.13.0-103-lowlatency, linux-image-extra-3.13.0-103-generic, linux-image-3.13.0-103-generic-lpae
  • USN-3146-2: linux-image-4.4.0-51-powerpc-e500mc, linux-image-4.4.0-51-powerpc-smp, linux-image-extra-4.4.0-51-generic, linux-image-4.4.0-51-powerpc64-emb, linux-image-4.4.0-51-powerpc64-smp, linux-image-4.4.0-51-generic, linux-lts-xenial, linux-image-4.4.0-51-generic-lpae, linux-image-4.4.0-51-lowlatency
  • USN-3162-2: linux-raspi2, linux-image-raspi2, linux-image-4.8.0-1021-raspi2
  • USN-3145-2: linux-image-3.13.0-103-generic, linux-image-generic-lpae-lts-trusty, linux-image-3.13.0-103-generic-lpae, linux-image-generic-lts-trusty, linux-lts-trusty